<%@ Language="VBScript" %>
<% Option Explicit %>
<%
If Session("student_id") = "" Then
	Session("msg") = "<div class=error>Your session has timed out. To get back into the co-op system " & _
						"you have to sign in again.</div>"
	Response.Redirect "default.asp"
End If
%>
<!-- #include file ="includes\connection.asp" -->
<%
Dim sql, rsDegrees

Set rsDegrees = Server.CreateObject("ADODB.Recordset")
sql = "SELECT * FROM Degree Order By degree_program"
rsDegrees.Open sql, objConn

' initialize session variables, if havan't done so before
If Session.Contents("variablesWereInitialized") = "" Then
	Dim rsStudent, rsUser
	'connect to the database and pull the student's information
	Set rsStudent = Server.CreateObject("ADODB.Recordset")
	sql = "SELECT * FROM Student WHERE student_id='" & Session("student_id") & "'"
	rsStudent.Open sql, objConn
	
	Set rsUser = Server.CreateObject("ADODB.Recordset")
	sql = "SELECT * FROM WebUser WHERE student_id='" & Session("student_id") & "'"
	rsUser.Open sql, objConn

	Session.Contents("first_name")		= rsStudent("student_first_name")
	Session.Contents("last_name")		= rsStudent("student_last_name")
	Session.Contents("ssn") 			= rsStudent("ssn")
	Session.Contents("graduation_year")	= rsStudent("graduation_year")
	Session.Contents("phone1")			= Mid(rsStudent("phone"),1,3)
	Session.Contents("phone2")			= Mid(rsStudent("phone"),4,3)
	Session.Contents("phone3")			= Mid(rsStudent("phone"),7,4)
	Session.Contents("second_phone1")	= Mid(rsStudent("second_phone"),1,3)
	Session.Contents("second_phone2")	= Mid(rsStudent("second_phone"),4,3)
	Session.Contents("second_phone3")	= Mid(rsStudent("second_phone"),7,4)
	Session.Contents("email")			= rsStudent("email")
	Session.Contents("citizenship")		= rsStudent("citizenship")
	Session.Contents("degree_id")		= rsStudent("degree_program")
	Session.Contents("transfer")		= Abs(CInt(rsStudent("is_transfer")))
	Session.Contents("homepage")		= rsStudent("homepage")

	rsUser.Close
	Set rsUser = Nothing
	
	rsStudent.Close
	Set rsStudent = Nothing

	Session.Contents("variablesWereInitialized") = "not empty"
End If

%>

<html>

<head>
<title>NEU CCS CO-OP Services</title>
<link rel=stylesheet type="text/css" href="coop.css" title="none">
<script LANGUAGE="JavaScript">
<!--
bName = navigator.appName;
bVer = parseInt(navigator.appVersion);

if ((bName == "Netscape" && bVer >= 3) ||
	(bName == "Microsoft Internet Explorer" && bVer >= 4)) br ="ok";
else
	br="bad";

if (br == "ok") {

	var bon  = new Array(5);
	var boff = new Array(5);

	for ( i = 0; i < 5; i++ ) {
		bon[i] = new Image();
		boff[i] = new Image();
	}


bon[0].src  = "images/b_my_job_list_on.gif";
boff[0].src = "images/b_my_job_list_off.gif";

bon[1].src  = "images/b_search_jobs_on.gif";
boff[1].src = "images/b_search_jobs_off.gif";

bon[2].src  = "images/b_update_my_info_on.gif";
boff[2].src = "images/b_update_my_info_off.gif";

bon[3].src  = "images/b_upload_resume_on.gif";
boff[3].src = "images/b_upload_resume_off.gif";

bon[4].src  = "images/b_get_cleared_on.gif";
boff[4].src = "images/b_get_cleared_off.gif";

}




function msover(num) {
	if (br == "ok") {
		if (bon[num-1].src != "") {
			var imgName = "img" + num;
			document[imgName].src = bon[num-1].src;
		}
	}
}

function msout(num) {
	if (br == "ok") {
		if (bon[num-1].src != "") {
			var imgName = "img" + num;
			document[imgName].src = boff[num-1].src;
		}
	}
}


function ValidateData() {
	var first_name		= document.frmInfo.first_name.value;
	var last_name		= document.frmInfo.last_name.value;
	var ssn				= document.frmInfo.ssn.value;
	var graduation_year	= document.frmInfo.graduation_year.value;
	var phone1			= document.frmInfo.phone1.value;	
	var phone2			= document.frmInfo.phone2.value;
	var phone3			= document.frmInfo.phone3.value;
	var email			= document.frmInfo.email.value;
	var userRe 			= new RegExp("[^A-Za-z0-9_]");
	var passRe 			= new RegExp("[^A-Za-z0-9_!]");
	var numRe			= new RegExp("[^0-9]");
	var emailRe			= new RegExp("([A-Za-z0-9_]+@[A-Za-z0-9_]+\.[A-Za-z0-9_]+)");
	

	// Check to make sure first name field is not empty
	if ( first_name.length == 0 ) {
		alert("First name field is required");
		return false;
	}

	// Check to make sure last name field is not empty
	if ( last_name.length == 0 ) {
		alert("Last name field is required");
		return false;
	}
	
	// Make sure ssn is 9 numbers if it is not empty
	if ( (ssn.length > 0 && ssn.length != 9)||( numRe.test(ssn) ) ) {
		alert("SSN contains 9 digits (without spaces between the digits)");
		return false;
	}

	// Make sure graduation year is 4 numbers
	if (graduation_year.length != 4 || numRe.test(graduation_year) ) {
		alert("Graduation year is required and must be in a 4 digit format");
		return false;
	}
	
	// Make sure phone number is entered and it is all numbers
	if (phone1.length != 3 || phone2.length != 3 || phone3.length < 3 ||
		numRe.test(phone1) || numRe.test(phone2  || numRe.test(phone3)) ) {
		alert("Your phone number with area code is required. Make sure that you entered it correctly.");
		return false;
	}
	
	// Make sure e-mail is correct
	if ( email.length == 0 || !(emailRe.test(email)) ) {
		alert("You have entered an invalid e-mail adderss.");
		return false;
	}
	
	return true;
}

//-->
</script>
</head>

<body bgcolor="#336699" topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" background="images/bg.gif">
<form name="frmInfo" method="post" action="submit_myinfo.asp" onsubmit="return ValidateData();">
<table border="0" width="610" cellspacing="0" cellpadding="0">
<tr>
<td width="150" valign="top">
<img border="0" src="images/spacer.gif" width="1" height="142">
<br><a href="mylist.asp" onmouseover="msover(1);return true" onmouseout="msout(1)" onClick="msout(1)"><img name="img1" border="0" src="images/b_my_job_list_off.gif" width="125" height="23" vspace="10"></a>
<br><a href="search.asp" onmouseover="msover(2);return true" onmouseout="msout(2)" onClick="msout(2)"><img name="img2" border="0" src="images/b_search_jobs_off.gif" width="125" height="23" vspace="10"></a>
<br><a href="myinfo.asp" onmouseover="msover(3);return true" onmouseout="msout(3)" onClick="msout(3)"><img name="img3" border="0" src="images/b_update_my_info_off.gif" width="125" height="23" vspace="10"></a>
<br><a href="upload.asp" onmouseover="msover(4);return true" onmouseout="msout(4)" onClick="msout(4)"><img name="img4" border="0" src="images/b_upload_resume_off.gif" width="125" height="23" vspace="10"></a>
<br><a href="clear.asp" onmouseover="msover(5);return true" onmouseout="msout(5)" onClick="msout(5)"><img name="img5" border="0" src="images/b_get_cleared_off.gif" vspace="10"></a>
</td>
<td width="460" valign="top">
<table border="0" width="100%" cellspacing="0" cellpadding="0">
<tr>
<td width="100%"><img border="0" src="images/spacer.gif" width="1" height="20"></td>
</tr>
<tr>
<td width="100%"><img border="0" src="images/neulogo.gif" width="337" height="72"><br>
<img border="0" src="images/ccslogo.gif" width="337" height="40"> </td>
</tr>
<tr>
<td width="100%" align="right">
<a href="signout.asp">Sign Out</a>
</td>
</tr>
<tr>
<td width="100%">
  <b><br>
  Update My Info</b>
</td>
</tr>
<tr>
<td width="100%">
<table border="0" width="100%" cellspacing="1">


<tr>
<td width="100%">

<table border="0" width="100%" cellspacing="1">
<tr>
<td width="100%">
<font size="2">
<br>
Enter your personal information:</font>
</td>
</tr>
<tr>
<td width="100%" bgcolor="#336699" class="border">
<table border="0" width="100%" cellspacing="3" cellpadding="0" bgcolor="#336699">
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">First Name<%=Session.Contents("signup_err_first_name")%></font></td>
<td width="240" valign="top" class="smallwhite">
<font size="2">
<input type="text" name="first_name" size="16" maxlength="30" value="<%=Session.Contents("first_name")%>">
</font>
</td>
</tr>
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">Last Name<%=Session.Contents("signup_err_last_name")%></font></td>
<td width="240" valign="top" class="smallwhite"><font size="2"><input type="text" name="last_name" size="16" maxlength="25" value="<%=Session.Contents("last_name")%>"></font></td>
</tr>
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">SSN (optional)<%=Session.Contents("signup_err_ssn")%></font></td>
<td width="240" valign="top" class="smallwhite"><font size="2"><input type="text" name="ssn" size="10" maxlength="9" value="<%=Session.Contents("ssn")%>"></font></td>
</tr>
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">Citizenship</font></td>
<td width="240" valign="top" class="smallwhite"><font size="2"><select size="1" name="citizenship">
  <option  <%If Session.Contents("citizenship") = "US" Then%>selected <%End If%>value="US">US Citizen</option>
  <option  <%If Session.Contents("citizenship") = "PR" Then%>selected <%End If%>value="PR">Permanent Resident</option>
  <option  <%If Session.Contents("citizenship") = "F1" Then%>selected <%End If%>value="F1">F1 Visa</option>
  <option  <%If Session.Contents("citizenship") = "J1" Then%>selected <%End If%>value="J1">J1 Visa</option>
  <option  <%If Session.Contents("citizenship") = "J2" Then%>selected <%End If%>value="J2">J2 Visa</option>
</select>
  </font>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td width="100%"><font size="2">&nbsp;&nbsp;</font></td>
</tr>
<tr>
<td width="100%" bgcolor="#336699" class="border">
<table border="0" width="100%" cellspacing="3" cellpadding="0" bgcolor="#336699">
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">Are you a transfer student?</font></td>
<td width="240" valign="top" class="smallwhite"><font size="2"><input type="radio" value="0" name="transfer"<%If Session.Contents("transfer") = "0" Then%> checked<%End If%>>No&nbsp;&nbsp;&nbsp; <input type="radio" value="1" name="transfer"<%If Session.Contents("transfer") = "1" Then%> checked<%End If%>>Yes</font></td>
</tr>
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">Degree Program</font></td>
<td width="240" valign="top" class="smallwhite">
<font size="2">
<select size="1" name="degree_id">
<%Do Until rsDegrees.EOF%>
  <option <%If CInt(rsDegrees("degree_id"))= CInt(Session.Contents("degree_id")) Then%>selected <%End If%>value="<%=rsDegrees("degree_id")%>"><%=rsDegrees("degree_program")%></option>
<%	rsDegrees.MoveNext
Loop
%>
</select>
</font>
</td>
</tr>
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">Graduation Year<%=Session.Contents("signup_err_graduation_year")%></font></td>
<td width="240" valign="top" class="smallwhite"><font size="2"><input type="text" name="graduation_year" size="4" maxlength="4" value="<%=Session.Contents("graduation_year")%>"></font></td>
</tr>
</table>
</td>
</tr>
<tr>
<td width="100%">
<font size="2">
&nbsp;&nbsp;</font>
</td>
</tr>
<tr>
<td width="100%" bgcolor="#336699" class="border">
<table border="0" width="100%" cellspacing="3" cellpadding="0" bgcolor="#336699">
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">Phone Number (###)###-####<%=Session.Contents("signup_err_phone")%></font></td>
<td width="240" valign="top" class="smallwhite"><font size="2">(<input type="text" name="phone1" size="3" maxlength="3" value="<%=Session.Contents("phone1")%>">)<input type="text" name="phone2" size="3" maxlength="3" value="<%=Session.Contents("phone2")%>">-<input type="text" name="phone3" size="4" maxlength="4" value="<%=Session.Contents("phone3")%>"></font></td>
</tr>
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">Secondary Phone (optional)</font></td>
<td width="240" valign="top" class="smallwhite"><font size="2">(<input type="text" name="second_phone1" size="3" maxlength="3" value="<%=Session.Contents("second_phone1")%>">)<input type="text" name="second_phone2" size="3" maxlength="3" value="<%=Session.Contents("second_phone2")%>">-<input type="text" name="second_phone3" size="4" maxlength="4" value="<%=Session.Contents("second_phone3")%>"></font></td>
</tr>
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">E-mail Address<%=Session.Contents("signup_err_email")%></font></td>
<td width="240" valign="top" class="smallwhite">
<font size="2">
<input name="email" size="16" maxlength="30" value="<%=Session.Contents("email")%>">
</font>
</td>
</tr>
<tr>
<td width="220" valign="top" class="smallwhite"><font size="2">Homepage (optional)</font></td>
<td width="240" valign="top" class="smallwhite"><font size="2"><input name="homepage" size="16" value="<%=Session.Contents("homepage")%>" maxlength="60"></font></td>
</tr>
</table>
</td>
</tr>


<tr>
<td width="100%" align="center">
<font size="2"><br>
<input type="submit" value="Update" name="B1">
</font>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td width="100%">
</td>
</tr>
<tr>
<td width="100%"><br>
  <hr align="left" noshade size="1" color="#000000">
</td>
</tr>
<tr>
<td width="100%" class="small" align="center"> 
  <table border="0" width="100%" cellspacing="0" cellpadding="0">
    <tr>
      <td width="100%" class="small" align="center">E-Mail Coordinator:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <a href="mailto:simms@ccs.neu.edu">Mel Simms</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <a href="mailto:ericks@ccs.neu.edu">Mark Erickson</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <a href="mailto:njem@ccs.neu.edu">Nora Jemison</a></td>
    </tr>
  </table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</form>
</body>

</html>
<%
'Clean up
rsDegrees.Close
Set rsDegrees = Nothing

objConn.Close
Set objConn = Nothing
%>