<%@ Language="JScript" %>
<%
var objConn;
      
// Map coop database to physical path
var filePath = Server.MapPath("coop.mdb");
objConn = Server.CreateObject("ADODB.Connection");
objConn.Open("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + filePath);

var found_mistakes = false;

var first_name		= Session.Contents("first_name")		= Request.Form("first_name")();
var last_name		= Session.Contents("last_name")			= Request.Form("last_name")();
var ssn				= Session.Contents("ssn") 				= Request.Form("ssn")();
var graduation_year	= Session.Contents("graduation_year")	= Request.Form("graduation_year")();
var phone1			= Session.Contents("phone1")			= Request.Form("phone1")();	
var phone2			= Session.Contents("phone2")			= Request.Form("phone2")();
var phone3			= Session.Contents("phone3")			= Request.Form("phone3")();
var second_phone1	= Session.Contents("second_phone1")		= Request.Form("second_phone1")();	
var second_phone2	= Session.Contents("second_phone2")		= Request.Form("second_phone2")();
var second_phone3	= Session.Contents("second_phone3")		= Request.Form("second_phone3")();
var email			= Session.Contents("email")				= Request.Form("email")();
var citizenship		= Session.Contents("citizenship")		= Request.Form("citizenship")();
var degree_id		= Session.Contents("degree_id")			= Request.Form("degree_id")();
var transfer;
if (Request.Form("transfer")() == "") {
	transfer = Session.Contents("transfer")	= 0;
} else {
	transfer = Session.Contents("transfer")	= Request.Form("transfer")();
}
var homepage		= Session.Contents("homepage")			= Request.Form("homepage")();

// Reset error messages before rechecking
Session.Contents("signup_err_first_name")		= "";
Session.Contents("signup_err_last_name")		= "";
Session.Contents("signup_err_ssn")				= "";
Session.Contents("signup_err_graduation_year")	= "";
Session.Contents("signup_err_phone")			= "";
Session.Contents("signup_err_email")			= "";

var userRe 			= new RegExp("[^A-Za-z0-9_]");
var passRe 			= new RegExp("[^A-Za-z0-9_!]");
var numRe			= new RegExp("[^0-9]");
var emailRe			= new RegExp("([A-Za-z0-9_]+@[A-Za-z0-9_]+\.[A-Za-z0-9_]+)");


// Check to make sure first name field is not empty
if ( first_name.length == 0 ) {
	Session.Contents("signup_err_first_name") = "<br><div class=error>First name field is required.</div>";
	found_mistakes = true;
}

// Check to make sure last name field is not empty
if ( last_name.length == 0 ) {
	Session.Contents("signup_err_last_name") = "<br><div class=error>Last name field is required.</div>";
	found_mistakes = true;
}

// Make sure ssn is 9 numbers if it is not empty
if ( (ssn.length > 0 && ssn.length != 9)||( numRe.test(ssn) ) ) {
	Session.Contents("signup_err_ssn") = "<br><div class=error>SSN contains 9 digits (without spaces between the digits.)</div>";
	found_mistakes = true;
}

// Make sure graduation year is 4 numbers
if (graduation_year.length != 4 || isNaN(graduation_year) ) {
	Session.Contents("signup_err_graduation_year") = "<br><div class=error>Graduation year is required and must be in a 4 digit format.</div>";
	found_mistakes = true;
}

// Make sure phone number is entered and it is all numbers
if (phone1.length != 3 || phone2.length != 3 || phone3.length < 3 ||
	numRe.test(phone1) || numRe.test(phone2  || numRe.test(phone3)) ) {
	Session.Contents("signup_err_phone") = "<br><div class=error>Your phone number with area code is required. Make sure that you entered it correctly.</div>";
	found_mistakes = true;
}

// Make sure e-mail is correct
if ( email.length == 0 || !(emailRe.test(email)) ) {
	Session.Contents("signup_err_email") = "<br><div class=error>You have entered an invalid e-mail adderss.</div>";
	found_mistakes = true;
}

if ( found_mistakes ) {
	Response.Redirect("myinfo.asp");
} else {
	// Create the new user in the database
	var sql;
	var phone = phone1 + phone2 + phone3;
	var second_phone = second_phone1 + second_phone2 + second_phone3;

	sql = "UPDATE Student SET ";
		if (ssn != "") { sql += "ssn='" + ssn + "', "; }
		sql += "student_first_name='" + first_name + "', ";
		sql += "student_last_name='" + last_name + "', ";
		sql += "graduation_year='" + graduation_year + "', ";
		sql += "phone='" + phone + "', ";
		if (second_phone != "") { sql += "second_phone='" + second_phone + "', "; }
		sql += "email='" + email + "', ";
		sql += "citizenship='" + citizenship + "', ";
		sql += "degree_program='" + degree_id + "', ";
		sql += "is_transfer='" + transfer + "'";
		if (homepage != "") { sql += ", homepage='" + homepage + "' "; }
		sql += "WHERE (student_id='" + Session("student_id") + "')";
	objConn.Execute(sql);

	objConn.Close;
	
	Response.Redirect("myinfo.asp");
}
%>